=== debian/changelog ===
hipercontracer (1.6.3-1) unstable; urgency=medium

  * Closes: #997090 (ITP).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 08 Nov 2021 20:11:16 +0100
