=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --

override_dh_strip:
	dh_strip -phipercontracer
	dh_strip -phipercontracer-trigger
	dh_strip -plibhipercontracer-dev
	dh_strip -plibhipercontracer1
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/libhipercontracer-dev/usr/lib/*/lib*.a

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog
