## hipercontracer 1.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,12 +30,12 @@
 #  Contact: dreibh@simula.no
 
 
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.5.1)
 PROJECT(hipercontracer LANGUAGES C CXX)
 
 SET(BUILD_MAJOR "1")
 SET(BUILD_MINOR "6")
-SET(BUILD_PATCH "3")
+SET(BUILD_PATCH "4")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 SET(CMAKE_CXX_STANDARD 14)
@@ -159,6 +159,20 @@
 
 
 #############################################################################
+# COMPILER FLAGS
+#############################################################################
+
+SET(CMAKE_CXX_STANDARD 14)
+SET(CMAKE_CXX_STANDARD_REQUIRED ON)
+SET(CMAKE_CXX_EXTENSIONS OFF)
+
+IF(CMAKE_SYSTEM_PROCESSOR STREQUAL "riscv64")
+  STRING(APPEND CMAKE_C_STANDARD_LIBRARIES " -latomic")
+  STRING(APPEND CMAKE_CXX_STANDARD_LIBRARIES " -latomic")
+ENDIF()
+
+
+#############################################################################
 # REQUIREMENTS
 #############################################################################
