=== debian/changelog ===
hipercontracer (1.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 03 Dec 2021 20:02:54 +0100
