=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #  =================================================================
 #
 #  High-Performance Connectivity Tracer (HiPerConTracer)
-#  Copyright (C) 2015-2020 by Thomas Dreibholz
+#  Copyright (C) 2015-2022 by Thomas Dreibholz
 #
 #  This program is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -111,3 +111,4 @@
 
 ADD_SUBDIRECTORY(SQL)
 ADD_SUBDIRECTORY(NoSQL)
+ADD_SUBDIRECTORY(examples)
