=== debian/changelog ===
hipercontracer (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * CMakeLists.txt fix for reproducible Debian build (Closes: #1003995).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Feb 2022 12:47:38 +0100
