=== debian/control ===
Source: hipercontracer
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: https://www.uni-due.de/~be0001/hipercontracer/
Build-Depends: cmake (>= 3.0.2),
               debhelper-compat (= 13),
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-log-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               pkg-config,
               python3
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Git: https://github.com/dreibh/hipercontracer.git
Vcs-Browser: https://github.com/dreibh/hipercontracer

Package: libhipercontracer1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: API library of HiPerConTracer
 High-Performance Connectivity Tracer (HiPerConTracer) is a
 ping/traceroute service. It performs regular ping and traceroute runs
 among sites and can export the results into an SQL or Non-SQL database.
 .
 The HiPerConTracer library is provided by this package.

Package: libhipercontracer-dev
Section: libdevel
Architecture: any
Depends: libboost-date-time-dev,
         libboost-filesystem-dev,
         libboost-iostreams-dev,
         libboost-log-dev,
         libboost-system-dev,
         libboost-thread-dev,
         libhipercontracer1 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for HiPerConTracer API library
 High-Performance Connectivity Tracer (HiPerConTracer) is a
 ping/traceroute service. It performs regular ping and traceroute runs
 among sites and can export the results into an SQL or Non-SQL database.
 .
 This package provides header files for the HiPerConTracer library. You need
 them to integrate HiPerConTracer into own programs.

Package: hipercontracer
Architecture: any
Depends: libhipercontracer1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hipercontracer-trigger,
            python3,
            python3-geoip,
            python3-psycopg2,
            python3-pymongo,
            python3-urllib3
Description: Command-line programs for HiPerConTracer
 High-Performance Connectivity Tracer (HiPerConTracer) is a
 ping/traceroute service. It performs regular ping and traceroute runs
 among sites and can export the results into an SQL or Non-SQL database.

Package: hipercontracer-trigger
Architecture: any
Depends: hipercontracer (= ${binary:Version}),
         libhipercontracer1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: python3,
            python3-geoip,
            python3-psycopg2,
            python3-pymongo,
            python3-urllib3
Description: Triggered HiPerConTracer service
 High-Performance Connectivity Tracer (HiPerConTracer) is a
 ping/traceroute service. It performs regular ping and traceroute runs
 among sites and can export the results into an SQL or Non-SQL database.
 This tool triggers HiPerConTracer by incoming "Ping" packets.
