## hipercontracer 1.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 SET(BUILD_MAJOR "1")
 SET(BUILD_MINOR "6")
-SET(BUILD_PATCH "5")
+SET(BUILD_PATCH "7")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 SET(CMAKE_CXX_STANDARD 14)
