## hipercontracer 1.6.9

=== debian/changelog ===
hipercontracer (1.6.9-1) unstable; urgency=medium

  * New upstream release.
  * Build fix for recent BOOST versions (Closes: #1029783).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 21 Sep 2023 17:13:31 +0200
