=== src/CMakeLists.txt ===
--- 
+++ 
@@ -93,6 +93,7 @@
 
 # Test only:
 # ADD_EXECUTABLE(t1 t1.cc)
+# TARGET_LINK_LIBRARIES(t1 ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
 # ADD_EXECUTABLE(t2 t2.cc)
 # ADD_EXECUTABLE(t3 t3.cc)
