=== src/examples/CMakeLists.txt ===
#############################################################################
# EXAMPLES
#############################################################################

INSTALL(FILES Ping-P256751-0.0.0.0-20211212T125352.632431-000000001.results.bz2
              Traceroute-P258235-0.0.0.0-20211212T132253.414640-000000001.results.bz2
              r-example.R
        DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/hipercontracer/examples)
