=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hipercontracer
 Section: net
 Priority: optional
-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
-Homepage: https://www.uni-due.de/~be0001/hipercontracer/
+Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
+Homepage: https://www.nntb.no/~dreibh/hipercontracer/
 Build-Depends: cmake (>= 3.0.2),
                debhelper-compat (= 13),
                libboost-date-time-dev,
@@ -14,10 +14,8 @@
                libboost-thread-dev,
                pkg-config,
                python3
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/dreibh/hipercontracer.git
-Vcs-Browser: https://github.com/dreibh/hipercontracer
 
 Package: libhipercontracer1
 Section: libs
