=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure --
+	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
 
 override_dh_strip:
 	dh_strip -phipercontracer
