=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.nntb.no/~dreibh/hipercontracer/index.html    download/hipercontracer-(.*)\.tar\.xz
